cURL
curl --request PUT \
--url https://api.tranthor.com/api/admin/settings/conversion-config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "<string>",
"config": {
"events": [
{
"kind": "transaction",
"isPrimary": true,
"valueProperty": "<string>"
}
],
"windowDays": 15,
"anchor": "delivered",
"exitOnConversion": true
}
}
'import requests
url = "https://api.tranthor.com/api/admin/settings/conversion-config"
payload = {
"workspaceId": "<string>",
"config": {
"events": [
{
"kind": "transaction",
"isPrimary": True,
"valueProperty": "<string>"
}
],
"windowDays": 15,
"anchor": "delivered",
"exitOnConversion": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '<string>',
config: {
events: [{kind: 'transaction', isPrimary: true, valueProperty: '<string>'}],
windowDays: 15,
anchor: 'delivered',
exitOnConversion: true
}
})
};
fetch('https://api.tranthor.com/api/admin/settings/conversion-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tranthor.com/api/admin/settings/conversion-config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'workspaceId' => '<string>',
'config' => [
'events' => [
[
'kind' => 'transaction',
'isPrimary' => true,
'valueProperty' => '<string>'
]
],
'windowDays' => 15,
'anchor' => 'delivered',
'exitOnConversion' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tranthor.com/api/admin/settings/conversion-config"
payload := strings.NewReader("{\n \"workspaceId\": \"<string>\",\n \"config\": {\n \"events\": [\n {\n \"kind\": \"transaction\",\n \"isPrimary\": true,\n \"valueProperty\": \"<string>\"\n }\n ],\n \"windowDays\": 15,\n \"anchor\": \"delivered\",\n \"exitOnConversion\": true\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.tranthor.com/api/admin/settings/conversion-config")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workspaceId\": \"<string>\",\n \"config\": {\n \"events\": [\n {\n \"kind\": \"transaction\",\n \"isPrimary\": true,\n \"valueProperty\": \"<string>\"\n }\n ],\n \"windowDays\": 15,\n \"anchor\": \"delivered\",\n \"exitOnConversion\": true\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tranthor.com/api/admin/settings/conversion-config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workspaceId\": \"<string>\",\n \"config\": {\n \"events\": [\n {\n \"kind\": \"transaction\",\n \"isPrimary\": true,\n \"valueProperty\": \"<string>\"\n }\n ],\n \"windowDays\": 15,\n \"anchor\": \"delivered\",\n \"exitOnConversion\": true\n }\n}"
response = http.request(request)
puts response.read_body{
"config": {
"events": [
{
"kind": "transaction",
"isPrimary": true,
"valueProperty": "<string>"
}
],
"windowDays": 15,
"anchor": "delivered",
"holdout": {
"enabled": true,
"pct": 25,
"version": "<string>",
"notMeasuredReason": "no_purchase_event"
},
"exitOnConversion": true
}
}"<string>"Settings
Set default conversion settings
Set or clear the workspace default conversion config. Pass config=null to clear.
cURL
curl --request PUT \
--url https://api.tranthor.com/api/admin/settings/conversion-config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "<string>",
"config": {
"events": [
{
"kind": "transaction",
"isPrimary": true,
"valueProperty": "<string>"
}
],
"windowDays": 15,
"anchor": "delivered",
"exitOnConversion": true
}
}
'import requests
url = "https://api.tranthor.com/api/admin/settings/conversion-config"
payload = {
"workspaceId": "<string>",
"config": {
"events": [
{
"kind": "transaction",
"isPrimary": True,
"valueProperty": "<string>"
}
],
"windowDays": 15,
"anchor": "delivered",
"exitOnConversion": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '<string>',
config: {
events: [{kind: 'transaction', isPrimary: true, valueProperty: '<string>'}],
windowDays: 15,
anchor: 'delivered',
exitOnConversion: true
}
})
};
fetch('https://api.tranthor.com/api/admin/settings/conversion-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tranthor.com/api/admin/settings/conversion-config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'workspaceId' => '<string>',
'config' => [
'events' => [
[
'kind' => 'transaction',
'isPrimary' => true,
'valueProperty' => '<string>'
]
],
'windowDays' => 15,
'anchor' => 'delivered',
'exitOnConversion' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tranthor.com/api/admin/settings/conversion-config"
payload := strings.NewReader("{\n \"workspaceId\": \"<string>\",\n \"config\": {\n \"events\": [\n {\n \"kind\": \"transaction\",\n \"isPrimary\": true,\n \"valueProperty\": \"<string>\"\n }\n ],\n \"windowDays\": 15,\n \"anchor\": \"delivered\",\n \"exitOnConversion\": true\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.tranthor.com/api/admin/settings/conversion-config")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workspaceId\": \"<string>\",\n \"config\": {\n \"events\": [\n {\n \"kind\": \"transaction\",\n \"isPrimary\": true,\n \"valueProperty\": \"<string>\"\n }\n ],\n \"windowDays\": 15,\n \"anchor\": \"delivered\",\n \"exitOnConversion\": true\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tranthor.com/api/admin/settings/conversion-config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workspaceId\": \"<string>\",\n \"config\": {\n \"events\": [\n {\n \"kind\": \"transaction\",\n \"isPrimary\": true,\n \"valueProperty\": \"<string>\"\n }\n ],\n \"windowDays\": 15,\n \"anchor\": \"delivered\",\n \"exitOnConversion\": true\n }\n}"
response = http.request(request)
puts response.read_body{
"config": {
"events": [
{
"kind": "transaction",
"isPrimary": true,
"valueProperty": "<string>"
}
],
"windowDays": 15,
"anchor": "delivered",
"holdout": {
"enabled": true,
"pct": 25,
"version": "<string>",
"notMeasuredReason": "no_purchase_event"
},
"exitOnConversion": true
}
}"<string>"Authorizations
Body
application/json

